# norootforbuild
#%define my_release 1
%define lpfcdriver	elx-lpfc

Name:         elx-lpfc
BuildRequires: %kernel_module_package_buildreqs
License:      GPL
Group:        System/Kernel
Summary:      Emulex lpfc driver for LightPulse Fibre Channel HBAs
Version:      10.0.803.24

Release:      1.1
Source0:      elx-lpfc-%{version}.tar.bz2
Source1:      Module.supported
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%define builddir	%{name}-%{version}

%kernel_module_package -x default trace pae 

%description
Emulex lpfc driver for LightPulse Fibre Channel HBAs.

%package KMP
Summary: lpfc driver
Group: System/Kernel

%description KMP
This is one of the sub-packages for a specific kernel. All the
sub-packages will share the same summary, group, and description.

%prep
%setup -a 0 -c %{builddir}
cd %{lpfcdriver}-%{version}
cp %_sourcedir/Module.supported Module.supported

set -- *
mkdir source
mv "$@" source/
mkdir obj

%build
export EXTRA_CFLAGS='-DVERSION=\"%version\"'
for driver_dir in %{lpfcdriver}-%{version} ; do
    cd $driver_dir
    for flavor in %flavors_to_build; do
        rm -rf obj/$flavor
        cp -r source obj/$flavor
        make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
            M=$PWD/obj/$flavor \
            CONFIG_SCSI_LPFC=m CONFIG_SCSI_LPFC_IOCTLS=m
    done
    cd ..
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for driver_dir in %{lpfcdriver}-%{version} ; do
    cd $driver_dir
    for flavor in %flavors_to_build; do
        make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
            M=$PWD/obj/$flavor 
    done
    cd ..
done

%clean
rm -rf %{buildroot}

%changelog
* Tue Apr 15 2014 poswald@suse.com
-Intial KMP build of the lpfc v10.0.803.24
